Skip to main content
GET
Get Namespace

Path Parameters

namespace_id
string
required

Response

Successful Response

Response model for namespace.

created_by
string
required

member_id of the creator.

id
string
required

The unique identifier of the namespace.

name
string
required

Human-readable name for the namespace.

owner_org_id
string
required

WorkOS organization ID that owns this namespace.

slug
string
required

URL-friendly unique identifier.

artifact_registry
string | null

Artifact Registry repository name.

created_at
string<date-time> | null

When the namespace was created.

error
string | null

Error message if provisioning failed.

error_step
string | null

Which provisioning step failed (e.g., 'create_gcs_bucket').

gcp_sa_email
string | null

GCP service account email.

gcs_bucket
string | null

GCS bucket name.

k8s_namespace
string | null

K8s namespace name.

registry_sa_email
string | null

Registry service account email for token generation.

status
enum<string>
default:READY

Namespace status: pending, ready, or failed.

Available options:
PENDING,
READY,
FAILED